from netgen.csg import *

# Defining solid
sphere = Sphere(Pnt(0, 0, 0), 0.55)
pX = Plane(Pnt(0.5, 0, 0), Vec(1, 0, 0))
nX = Plane(Pnt(0, 0, 0), Vec(-1, 0, 0))
pY = Plane(Pnt(0, 0.5, 0), Vec(0, 1, 0))
nY = Plane(Pnt(0, 0, 0), Vec(0, -1, 0))
pZ = Plane(Pnt(0, 0, 0.5), Vec(0, 0, 1))
nZ = Plane(Pnt(0, 0, 0), Vec(0, 0, -1))
bbox = pX*nX*pY*nY*pZ*nZ
Zielinski = sphere*bbox

# Making geometry from solid
geo=CSGeometry()
geo.Add(Zielinski)

# Meshing
from ngsolve.comp import Mesh
netgenMesh = geo.GenerateMesh(maxh=0.05)

netgenMesh.SetBCName(0, "test")

mesh = Mesh(netgenMesh)
print(mesh.GetBoundaries())
Draw(mesh)
